---
postgresql_role: true

postgresql_version: 9.6

postgresql_databases:
  - name: content_management_server
    owner: content_management_server

postgresql_database_schemas:
  - database: content_management_server
    schema: content_management_server
    owner: content_management_server
    state: present

postgresql_users:
  # postgresql >=10 does not accept unencrypted passwords
  - name: content_management_server
    pass: "{{ vault__postgres_content_management_server }}"
    encrypted: yes
  - name: monitoring
    pass: monitoring
    encrypted: yes

postgresql_user_privileges:
- name: monitoring
  db: content_management_server
  priv: 'CONNECT/pg_stat_activity:SELECT/pg_stat_progress_vacuum:SELECT/pg_stat_all_tables:SELECT/pg_statio_all_tables:SELECT'

# List of database extensions to be created (optional)
postgresql_database_extensions:
  - db: postgres
    extensions:
      - adminpack

postgresql_listen_addresses: '*'
postgresql_shared_buffers: "{{ (ansible_memtotal_mb / 3) | round | int }}MB"
postgresql_work_mem: "{{ (ansible_memtotal_mb / 16) | round | int }}MB"
postgresql_maintenance_work_mem: "{{ (ansible_memtotal_mb / 16) | round | int }}MB"
postgresql_effective_cache_size: "{{ (ansible_memtotal_mb / 2) | round | int }}MB"

postgresql_logging_collector: on
postgresql_log_file_mode: 0644
postgresql_log_rotation_size: 0
postgresql_log_line_prefix: '%m %u@%d %p %r '
postgresql_log_timezone: Etc/UTC

postgresql_timezone: Etc/UTC

# pg_hba.conf
postgresql_default_auth_method: trust

postgresql_pg_hba_custom:
  - { type: host,  database: all, user: all, address: "127.0.0.1/32", method: "{{ postgresql_default_auth_method }}" }
  - { type: host,  database: all, user: all, address: "192.168.124.0/16", method: "{{ postgresql_default_auth_method }}", comment: "CoreMedia as code" }
